<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
    <!--css引用--->
    <link href="../../Content/Default/jquery-ui-1.8.10.custom.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/Default/ui.jqgrid.css" rel="stylesheet" type="text/css" />
     <!-- combotree css-->
    <link href="../../Content/Default/combo.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/Default/combobox.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/ciho-combtree.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/style.css" rel="stylesheet" type="text/css" />
    <!--脚本引用-->
    <script src="../../Scripts/lib/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery-ui-1.8.10.custom.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/grid.locale-cn.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.layoutpanel.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.combo_ciho.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.combobox.js" type="text/javascript"></script>    
    <script src="../../Scripts/lib/jquery.autonum.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/combotree.js" type="text/javascript"></script>    
    <script src="../../Scripts/msg.js" type="text/javascript"></script>
    <script src="../../Scripts/msgBox.js" type="text/javascript"></script>
    <script src="../../Scripts/common.js" type="text/javascript"></script>
    <script src="../../Scripts/ciho.js" type="text/javascript"></script>
    <script src="../../Scripts/page.js" type="text/javascript"></script>
    <script src="../../Scripts/05/p0503.js" type="text/javascript"></script>
    <script src="../../Scripts/05/p050301.js" type="text/javascript"></script>
    <script type="text/javascript">
        var bLoadComplete = false;
        $(function () {
            //转换下拉框控件类型
            strTableNameP0503 = "Tp0503";
            $("#cmbDateExtentP0503").combobox();
            $("#cmbDwP0503").combobox();
            $("#cmbSpP0503").combobox();
            $("#cmbZyP0503").combobox();
            $("#cmbKmP0503").cihoComboTree({
                width: 120,
                showMode: "all"
            });
            addTreeArrowClass();
            //修改combobox下拉箭头的样式。
            addArrowClass();
            inputAndBindData("dateStartTimeP0503", false, null, dateTimeChange_P0503);
            inputAndBindData("dateEndTimeP0503", false, null, dateTimeChange_P0503);
            //页面加载方法
            pageLoad_P0503();

            //改变窗口大小时，改变表格的高度和宽度。
            window.onresize = function () {
                //隐藏浮动层
                $(".operate").hide();
                resizeGrid(strTableNameP0503, true, true);

                resizeGridScroll(strTableNameP0503);
            }
            bLoadComplete = true;

        });
        function refreshMyCombobox(strModels) {     //基本资料有更新，刷新combobox
            for (var i = 0; i < strModels.length; i++) {
                var data = getComboboxData(strModels[i] + "2");
                if (strModels[i] == "Tkhxx") {
                    data.unshift({ dm: "", mc: "全部单位" });
                    reLoadCombobox("cmbDwP0503", data);
                    var fkmc = $("#cmbDwP0503").combobox("getText").replace("&nbsp;&nbsp;", "");
                    $("#cmbDwP0503").combobox("setText", fkmc);
                }
                if (strModels[i] == "Tspxx") {
                    data.unshift({ dm: "", mc: "全部药品" });
                    reLoadCombobox("cmbSpP0503", data);
                }
                if (strModels[i] == "TZyxx") {
                    data.unshift({ dm: "", mc: "全部职员" });
                    reLoadCombobox("cmbZyP0503", data);
                }
                if (strModels[i] == "TKjkm") {
                    var objKm = ParseData(window.external.DoOptions(strTableP0503, "GetComboBoxData", "{}")).Records;
                    if (objKm != null && objKm != "{}") {
                        objKm.unshift({ "id": "", "text": "全部科目" });
                        $("#cmbKmP0503").cihoComboTree("loadData", objKm);
                    }
                }
            }
        }
    </script>
</head>
<body>
    <div class="title_bar">
        <div class="topi">
            <div class="column">
                <div id="added">
                    <ul class="topnav">
                        <li><a href="#" onclick="showDialog_P050301('1')">其它收款</a>
                               <span></span>
                        </li>
                    </ul>
                </div>
                <div class="dedt">
                    <ul>
                        <li> 
                            <select id="cmbDateExtentP0503" class="easyui-combobox">
                            </select>
                        </li>
                        <li class="inp_100">
                            <input id="dateStartTimeP0503" type="text" style=" text-align: center"
                                onchange="dateTimeChange_P0503()" />
                                <font class="text_hx">&nbsp;&nbsp;</font>
                            <input id="dateEndTimeP0503" type="text" style=" text-align: center"
                                onchange="dateTimeChange_P0503()" />
                        </li>
                         <li>
                             <input type="text" id="cmbKmP0503" class="ciho-Input"/>
                        </li>
                        <li>
                             <select id="cmbDwP0503" class="easyui-combobox"></select>
                        </li>
                        <li>
                             <select id="cmbSpP0503" class="easyui-combobox"></select>
                        </li>
                        <li>
                             <select id="cmbZyP0503" class="easyui-combobox"></select>
                        </li>
                        <li class="enter"><a href="#" id="btnSearchData" class="buttonSearch" onclick="searchData_P0503()">查询</a></li>
                    </ul>
                </div>
                <div class="clr">
                </div>
            </div>
        </div>
        <div class="clr">
        </div>
    </div>
    <div class="mation">
        <div class="mation_div">
            <table id="Tp0503">
            </table>
        </div>
        <!--分页使用层-->
        <div id="divPageP0503" class="Page"></div>
     </div>
    
    <!-- 弹出窗口使用层 -->
    <div id="divP0503"></div>
    <div id="divAddType"></div>
</body>
</html>

